# Interface ITextEntityExtended

Represents a DXF TEXT entity with text positioning and formatting attributes.

interface ITextEntityExtended {
block?: boolean;
halign?: number;
rotation?: number;
startPoint: {
x: number;
y: number;
};
string?: string;
tag?: string;
text?: string;
textHeight?: number;
}

#### Hierarchy

- IEntity
  - ITextEntityExtended

#####
Index

### Properties

block?
halign?
rotation?
startPoint
string?
tag?
text?
textHeight?

##
Properties

### `Optional` block

block?: boolean

The block this text entity belongs to.

### `Optional` halign

halign?: number

The horizontal alignment of the text.

### `Optional` rotation

rotation?: number

Text rotation angle in degrees.

### startPoint

startPoint: {
x: number;
y: number;
}

Start point of the text entity.

### `Optional` string

string?: string

Alternative text content field.

### `Optional` tag

tag?: string

Tag or label identifier for the text.

### `Optional` text

text?: string

Text string value.

### `Optional` textHeight

textHeight?: number

Text height.